#include <iocslib.h>
#include "defines.h"
#include "aiggraph.h"

void sp_to_graph2()
/* 表示スプライト取り込み */
{
unsint *spad,cch[16*16];
unint i;
int x,y;
	/* 表示スプライト取り込み */
	spad=(unsint *)SPRAM;
	for (i=0;i<128;i++) {
		if (B_WPEEK(spad+3)&(BIT1|BIT0)) { /* 表示されているスプライトのみ */
			remake_pat(cch,16,B_WPEEK(spad+2)); /* スプライトは常に１６＊１６ */
			/* スプライト座標はグラフィック座標と違うので修正しておく */
			/* グラフィック画面内に収まる時のみ表示 */
			x=(B_WPEEK(spad  )&1023)-16;
			y=(B_WPEEK(spad+1)&1023)-16;
			if (x>=0 && x<512 && y>=0 && y<512) gr64k(cch,x,y,16,16);
		}
		spad+=4;
	}
}
